Imports Microsoft.VisualBasic
Imports System
Imports ThinkGeo.MapSuite.Core
Imports ThinkGeo.MapSuite.WebEdition
Imports System.Collections.Generic
Imports System.Collections.ObjectModel


Partial Public Class DisplayASimpleMap : Inherits System.Web.UI.Page
    Protected Sub Page_Load(ByVal sender As Object, ByVal e As EventArgs) Handles Me.Load
        If Not Page.IsPostBack Then
            Map1.MapBackground.BackgroundBrush = New GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"))
            Map1.CurrentExtent = New RectangleShape(-125, 72, 50, -46)
            Map1.MapUnit = GeographyUnit.DecimalDegree

            Dim worldMapKitOverlay As New WorldMapKitWmsWebOverlay()
            Map1.CustomOverlays.Add(worldMapKitOverlay)


            Dim worldLayer As New ShapeFileFeatureLayer(MapPath("~/SampleData/world/cntry02.shp"))
            worldLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20
            worldLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.CreateSimpleAreaStyle(GeoColor.SimpleColors.Transparent, GeoColor.FromArgb(100, GeoColor.SimpleColors.Green))

            Dim featureSource As New ShapeFileFeatureSource(MapPath("~/SampleData/world/cntry02.shp"))
            featureSource.Open()

            Dim cols As New Collection(Of String)()
            cols.Add("SQMI")
            cols.Add("SQKM")
            Dim features As Collection(Of Feature) = featureSource.GetAllFeatures(cols)
            For Each feature As Feature In features
                Dim columns As New Collection(Of FeatureSourceColumn)()
                columns.Add(New FeatureSourceColumn("SQMI", "Double", 100))
                columns.Add(New FeatureSourceColumn("SQKM", "Double", 100))
                GetColumnContents(feature, columns)
            Next
        End If
    End Sub


    Private Sub GetColumnContents(ByVal feature As Feature, ByVal columns As Collection(Of FeatureSourceColumn))
        For i As Integer = 0 To columns.Count - 1
            Select Case columns(i).TypeName
                Case "String"
                    Me.lstResults.Items.Add(feature.ColumnValues.ElementAt(i).Key + ": " + feature.ColumnValues.ElementAt(i).Value)
                    Exit Select
                Case "Double"
                    Me.lstResults.Items.Add(feature.ColumnValues.ElementAt(i).Key + ": " + feature.ColumnValues.ElementAt(i).Value)
                    Exit Select
                Case "Integer"
                    Me.lstResults.Items.Add(feature.ColumnValues.ElementAt(i).Key + ": " & Convert.ToInt32(feature.ColumnValues.ElementAt(i).Value).ToString())
                    Exit Select
                Case Else
                    Me.lstResults.Items.Add(feature.ColumnValues.ElementAt(i).Key + ": " + feature.ColumnValues.ElementAt(i).Value)
                    Exit Select
            End Select
        Next
    End Sub

End Class
